Documentation Index

Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt

Use this file to discover all available pages before exploring further.

List

Prev Next
Post
/list/campaign

Used to get a list of previously created campaigns. All campaigns may be returned or lists of campaign of a certain type if criteria are provided.

Body parameters
Get all campaigns paginated
{
  "apptoken": "YOUR_APPTOKEN",
  "limit": "50",
  "offset": "0"
}
Get all live campaigns
{
  "apptoken": "YOUR_APPTOKEN",
  "condition": [
    [
      "active",
      "=",
      "1"
    ]
  ],
  "limit": "50",
  "offset": "0"
}
Get all automated campaigns
{
  "apptoken": "YOUR_APPTOKEN",
  "condition": [
    [
      "trigger",
      ">",
      "0"
    ]
  ],
  "limit": "50",
  "offset": "0"
}
Get the most recently created campaign
{
  "apptoken": "YOUR_APPTOKEN",
  "order": [
    "id DESC"
  ],
  "limit": "1",
  "offset": "0"
}
object
apptoken
string Required

Your App token

order
Array of string

Order the list in either ascending or descending order based on any of the attributes, eg. ["id ASC", "endtime"] or ["id DESC", "endtime"]

string
select
Array of string

Select what attributes to return, eg. ["id", "title", "text"]

string
condition
string (json)

Filter the campaigns based on some criteria, eg. [ ["active", "=" , 1] ]

limit
integer (int32)

Used with offset for pagination, eg. "limit": 50, "offset": 0 returns a max of 50 results starting at position 0

offset
integer (int32)

Used with limit for pagination

Responses
200

200

Result
{
  "success": "True",
  "code": "200",
  "data": [
    {
      "id": "CAMPAIGN_ID",
      "project_id": "PROJECT_ID",
      "type": "2",
      "trigger": "2",
      "send_type": "2",
      "active": "0",
      "title": "Inactive users onsite",
      "ab": "0",
      "languages_multi": "1",
      "inbox": "0",
      "email": "0",
      "broadcast": "0",
      "timezone": "Europe/London",
      "labels": [
        {
          "id": "637",
          "name": "Tests"
        }
      ]
    }
  ]
}
Expand All
object
success
boolean
Defaulttrue
ExampleTrue
code
integer
Default0
Example200
data
Array of object
object
id
string
ExampleCAMPAIGN_ID
project_id
string
ExamplePROJECT_ID
category_id
type
integer
Default0
Example2
trigger
integer
Default0
Example2
send_type
integer
Default0
Example2
active
integer
Default0
Example0
title
string
ExampleInactive users onsite
ab
integer
Default0
Example0
languages_multi
integer
Default0
Example1
inbox
integer
Default0
Example0
email
integer
Default0
Example0
broadcast
integer
Default0
Example0
target_applications
timezone
string
ExampleEurope/London
labels
Array of object
object
id
integer
Default0
Example637
name
string
ExampleTests
400

400

Result
{
  "success": "False",
  "code": "400",
  "message": "General error information",
  "errors": [
    {
      "text": [
        "Detailed information about the specific error"
      ]
    }
  ]
}
Expand All
object
success
boolean
Defaulttrue
ExampleFalse
code
integer
Default0
Example400
message
string
ExampleGeneral error information
errors
Array of object
object
text
Array of string
string